- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Member Functions | Properties | Friends

# QSlider Class Reference

Search for all occurrences

## Detailed Description

Definition at line 57 of file qslider.h.

`#include <qslider.h>`

Inheritance diagram for QSlider:
[legend]

List of all members.

## Public Types
enum | TickPosition { NoTicks = 0, TicksAbove = 1, TicksLeft = TicksAbove, TicksBelow = 2, TicksRight = TicksBelow, TicksBothSides = 3 }
## Public Member Functions
| QSlider (QWidget *parent=0)
| QSlider (Qt::Orientation orientation, QWidget *parent=0)
| ~QSlider ()
QSize | sizeHint () const
QSize | minimumSizeHint () const
void | setTickPosition (TickPosition position)
TickPosition | tickPosition () const
void | setTickInterval (int ti)
int | tickInterval () const
bool | event (QEvent *event)
## Protected Member Functions
void | paintEvent (QPaintEvent *ev)
void | mousePressEvent (QMouseEvent *ev)
void | mouseReleaseEvent (QMouseEvent *ev)
void | mouseMoveEvent (QMouseEvent *ev)
void | initStyleOption (QStyleOptionSlider *option) const
## Properties
TickPosition | tickPosition
int | tickInterval
## Friends
Q_GUI_EXPORT QStyleOptionSlider | qt_qsliderStyleOption (QSlider *slider)

## Member Enumeration Documentation

enum TickPosition

Search for all occurrences

Enumerator:

  NoTicks | Search for all occurrences
  TicksAbove | Search for all occurrences
  TicksLeft | Search for all occurrences
  TicksBelow | Search for all occurrences
  TicksRight | Search for all occurrences
  TicksBothSides | Search for all occurrences

Definition at line 66 of file qslider.h.

                          {
            NoTicks = 0,
            TicksAbove = 1,
            TicksLeft = TicksAbove,
            TicksBelow = 2,
            TicksRight = TicksBelow,
            TicksBothSides = 3

    #if defined(QT3_SUPPORT) && !defined(Q_MOC_RUN)
            ,NoMarks = NoTicks,
            Above = TicksAbove,
            Left = TicksAbove,
            Below = TicksBelow,
            Right = TicksRight,
            Both = TicksBothSides
    #endif
        };

## Constructor & Destructor Documentation

QSlider | ( | QWidget * | parent = `0` | ) | `[explicit]`

QSlider | ( | Qt::Orientation | orientation,
|  | QWidget * | parent = `0`
| ) |  | `[explicit]`

~QSlider | ( |  | ) |

## Member Function Documentation

QSize sizeHint | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QWidget.

QSize minimumSizeHint | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QWidget.

void setTickPosition | ( | TickPosition | position | ) |

Search for all occurrences

TickPosition tickPosition | ( |  | ) | const

Search for all occurrences

void setTickInterval | ( | int | ti | ) |

Search for all occurrences

int tickInterval | ( |  | ) | const

Search for all occurrences

bool event | ( | QEvent * | event | ) | `[virtual]`

Search for all occurrences

Reimplemented from QAbstractSlider.

void paintEvent | ( | QPaintEvent * | ev | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void mousePressEvent | ( | QMouseEvent * | ev | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void mouseReleaseEvent | ( | QMouseEvent * | ev | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void mouseMoveEvent | ( | QMouseEvent * | ev | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void initStyleOption | ( | QStyleOptionSlider * | option | ) | const `[protected]`

Search for all occurrences

## Friends And Related Function Documentation

Q_GUI_EXPORT QStyleOptionSlider qt_qsliderStyleOption | ( | QSlider * | slider | ) | `[friend]`

Search for all occurrences

## Property Documentation

TickPosition tickPosition `[read, write]`

Search for all occurrences

Definition at line 62 of file qslider.h.

int tickInterval `[read, write]`

Search for all occurrences

Definition at line 63 of file qslider.h.

The documentation for this class was generated from the following file:

- QtGui/qslider.h

QSlider QSlider QSlider QSlider QSlider QSlider QSlider QSlider QSlider QSlider
QSlider QSlider QSlider QSlider QSlider QSlider QSlider QSlider QSlider QSlider